
QGIS Application - Bug report #101

map composer: crash when paper dimensions are huge

2006-04-23 04:57 AM - werchowyna-epf-pl -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10160

Description

1. map composer

2. set width 60000 and height 47000

3. crash

I know this is a-huge-paper, but this is my problem. Could QGIS not crash?

Session output and backtrace:

$ qgis

Warning: fileVectorFilters, unknown driver: GRASS

Warning: fileVectorFilters, unknown driver: SQLite

gisBase = /usr/local/grass-6.1.cvs

Warning: empty extent... not rendering

Warning: empty extent... not rendering

Warning: empty extent... not rendering

terminate called after throwing an instance of 'std::bad_alloc'

  what():  St9bad_alloc

Aborted (core dumped)

(gdb) bt

#0  0xffffe410 in +kernel_vsyscall ()

#3905  0xb64359d1 in raise () from /lib/tls/i686/cmov/libc.so.6

#3906  0xb64372e9 in abort () from /lib/tls/i686/cmov/libc.so.6

#3907  0xb6624533 in +gnu_cxx::+verbose_terminate_handler ()

   from /usr/lib/libstdc++.so.6

#3908  0xb6621ed4 in +gxx_personality_v0 () from /usr/lib/libstdc++.so.6

#3909  0xb6621f11 in std::terminate () from /usr/lib/libstdc++.so.6

#3910  0xb66220fe in +cxa_rethrow () from /usr/lib/libstdc++.so.6

#3911  0xb7e00ccb in QMetaObject::activate ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtCore.so.4

#3912  0xb7e01901 in QMetaObject::activate ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtCore.so.4

#3913  0xb77b09b5 in QLineEdit::returnPressed ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#10 0xb77b80dc in QLineEdit::keyPressEvent ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3914 0xb758d11d in QWidget::event ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4
#3915 0xb77b6a58 in QLineEdit::event ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3916 0xb75471d1 in QApplicationPrivate::notify_helper ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3917 0xb754792b in QApplication::notify ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3918 0xb7594dbf in QETWidget::translateKeyEvent ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3919 0xb75a1a0a in QApplication::x11ProcessEvent ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3920 0xb75b242f in QEventDispatcherX11::processEvents ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

Maciek

History

#1 - 2006-04-25 02:23 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

Resolved in svn  (well, sort of).

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

2024-04-28 2/2


